=== debian/control ===
Source: ros-kinetic-hebi-cpp-api
Section: misc
Priority: optional
Maintainer: Chris Bollinger <chris@hebirobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules
Homepage: http://docs.hebi.us/tools.html#cpp-api
Standards-Version: 3.9.2

Package: ros-kinetic-hebi-cpp-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: A ROS package providing access to the HEBI C++ API.
